Skip to content

scopes_list

GET
/api/scopes/
curl --request GET \
--url https://example.com/api/scopes/ \
--header 'Authorization: <Authorization>'

Return a list of available scopes.

Parameters

request : HttpRequest The request object containing user information.

Returns

list A list of available scopes. Each scope is a dictionary with the following keys: * name (str): The name of the scope. * description (str): A description of the scope.

ordering
string

Which field to use when ordering the results.

page
integer

A page number within the paginated result set.

search
string

A search term.

Media typeapplication/json
object
count
required
integer
next
string format: uri
nullable
previous
string format: uri
nullable
results
required
Array<object>

Serializer for the Scope model.

object
name
required
string
description
required
string

Example

{
"count": 123,
"next": "http://api.example.org/accounts/?page=4",
"previous": "http://api.example.org/accounts/?page=2"
}